﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EAA
{

    public partial class Options : Form
    {
        int dots = 0;
        int gridGapSize = 20;

        public Options()
        {
            InitializeComponent();
            tbDotsAmount.Text = Properties.Settings.Default.dots.ToString();
            checkBoxShowDots.Checked = Properties.Settings.Default.showAxis;
            cBAntiAlias.Checked = Properties.Settings.Default.antiAlias;
            checkBoxGrid.Checked = Properties.Settings.Default.showGrid;
            cBColorArea.Checked = Properties.Settings.Default.colorArea;
            tBGridGapSize.Text = Properties.Settings.Default.gridGapSize.ToString();
            if (Properties.Settings.Default.calcMethod == 1)
                rBMonteCarlo.Checked = true;
            else
                rBApproximation.Checked = true;
        }

        private void btnApply_Click(object sender, EventArgs e)
        {

            if (!int.TryParse(tbDotsAmount.Text, out dots))
            {
                MessageBox.Show("Dots / Pieces have to be an integer.");
                return;
            }
            if (!int.TryParse(tBGridGapSize.Text, out gridGapSize) || gridGapSize < 10 || gridGapSize > 50)
            {
                MessageBox.Show("The grid gap size has to be an integer and between 10 and 50");
                return;
            }
            Properties.Settings.Default.showGrid = checkBoxGrid.Checked;
            Properties.Settings.Default.showAxis = checkBoxShowDots.Checked;
            Properties.Settings.Default.dots = dots;
            Properties.Settings.Default.antiAlias = cBAntiAlias.Checked;
            if (rBMonteCarlo.Checked)
                Properties.Settings.Default.calcMethod = 1;
            else
                Properties.Settings.Default.calcMethod = 2;
            Properties.Settings.Default.colorArea = cBColorArea.Checked;
            Properties.Settings.Default.gridGapSize = gridGapSize;
            this.Close();

            this.DialogResult = DialogResult.OK;

        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void checkBoxGrid_CheckedChanged(object sender, EventArgs e)
        {
            tBGridGapSize.Enabled = checkBoxGrid.Checked;
        }



    }
}
