﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Diagnostics;
using System.Drawing;

namespace EAA
{
    class Output
    {
        public RichTextBox Rtb { get; set; }
        public PictureBox Pic { get; set; }

        public Output(RichTextBox rtb, PictureBox pic)
        {
            this.Rtb = rtb;
            this.Pic = pic;
        }
        public void Write(string Text)
        {
            Rtb.AppendText(Text + "\n");
            Rtb.ScrollToCaret();
        }
        public void Clear()
        {
            Rtb.Clear();
        }
        public void SaveOutputAsTxt()
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*";
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                StreamWriter writer = new StreamWriter(sfd.FileName);
                writer.WriteLine(DateTime.Now + "\n" + "\n");
                foreach (string s in Rtb.Lines)
                {
                    writer.WriteLine(s);
                }
                writer.Close();
            }
            sfd.Dispose();
        }
        public void Opentxt()
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*";
            if (ofd.ShowDialog() == DialogResult.OK)
                Process.Start("notepad.exe", ofd.FileName);
            ofd.Dispose();
        }
        public void SaveAsPicture()
        {
            System.Drawing.Imaging.ImageFormat imageFormat = System.Drawing.Imaging.ImageFormat.Bmp;
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Joint Photographic Experts Group files (*.jpg)|*.jpg|Portable Network Graphic files(*.png) |*.png|Bitmap files (*.bmp)|*.bmp|All files (*.*)|*.*";
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                switch (sfd.FilterIndex)
                {

                    case 1:
                        imageFormat = System.Drawing.Imaging.ImageFormat.Jpeg;
                        break;
                    case 2:
                        imageFormat = System.Drawing.Imaging.ImageFormat.Png;
                        break;
                    case 3:
                        imageFormat = System.Drawing.Imaging.ImageFormat.Bmp;
                        break;
                }                

                Bitmap bitmap = new Bitmap(Pic.Width, Pic.Height);
                Pic.DrawToBitmap(bitmap, new System.Drawing.Rectangle(new Point(0, 0), Pic.Size));
                bitmap.Save(sfd.FileName, imageFormat);

            }
        }
        
    }
}




